Package org.eclipse.gef.handles

# Class ResizableHandleKit

java.lang.Object
org.eclipse.gef.handles.ResizableHandleKit

public class ResizableHandleKit extends Object
A set of utility methods to create Handles for the common locations on a figure's bounds.

See Also:
  - `Handle`

## Constructor Summary

Constructors
Constructor
Description
`ResizableHandleKit()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addCornerAndSideHandles(GraphicalEditPart part, List handles)`
Fills the given List with handles at each corner and side of a figure.
`static void`
`addCornerAndSideHandles(GraphicalEditPart part, List handles, DragTracker tracker, Cursor cursor)`
Fills the given List with handles at each corner and side of a figure.
`static void`
`addHandle(GraphicalEditPart part, List handles, int direction)`
Adds a single handle in the given direction to the given List.
`static void`
`addHandle(GraphicalEditPart part, List handles, int direction, DragTracker tracker, Cursor cursor)`
Adds a single handle in the given direction to the given List with the given DragTracker
`static void`
`addHandles(GraphicalEditPart part, List handles)`
Deprecated.
`static void`
`addMoveHandle(GraphicalEditPart f, List handles)`
Fills the given List with move borders at each side of a figure.
`static void`
`addMoveHandle(GraphicalEditPart f, List handles, DragTracker tracker, Cursor cursor)`
Fills the given List with move borders with the given DragTracker at each side of a figure.
`static Handle`
`moveHandle(GraphicalEditPart owner)`
Returns a new `MoveHandle` with the given owner.
`static Handle`
`moveHandle(GraphicalEditPart owner, DragTracker tracker, Cursor cursor)`
Returns a new `MoveHandle` with the given owner and DragTracker.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResizableHandleKit

public ResizableHandleKit()

## Method Details

### addHandle

public static void addHandle(GraphicalEditPart part, List handles, int direction)
Adds a single handle in the given direction to the given List.

Parameters:
  `part` - the owner GraphicalEditPart of the handle
  `handles` - the List to add the handle to
  `direction` - the integer constant from PositionConstants that refers to the handle direction

### addHandle

public static void addHandle(GraphicalEditPart part, List handles, int direction, DragTracker tracker, Cursor cursor)
Adds a single handle in the given direction to the given List with the given DragTracker

Parameters:
  `tracker` - the DragTracker to assign to this handle
  `part` - the owner GraphicalEditPart of the handle
  `handles` - the List to add the handle to
  `direction` - the integer constant from PositionConstants that refers to the handle direction
  `cursor` - the Cursor to use when hovering over this handle

### addHandles

public static void addHandles(GraphicalEditPart part, List handles)
Deprecated.
Fills the given List with handles at each corner and the north, south, east, and west of the GraphicalEditPart.

Parameters:
  `part` - the owner GraphicalEditPart of the handles
  `handles` - the List to add the handles to

### addCornerAndSideHandles

public static void addCornerAndSideHandles(GraphicalEditPart part, List handles)
Fills the given List with handles at each corner and side of a figure.

Parameters:
  `part` - the handles' GraphicalEditPart
  `handles` - the List to add the four corner handles to
Since:
  3.7

### addCornerAndSideHandles

public static void addCornerAndSideHandles(GraphicalEditPart part, List handles, DragTracker tracker, Cursor cursor)
Fills the given List with handles at each corner and side of a figure.

Parameters:
  `part` - the handles' GraphicalEditPart
  `handles` - the List to add the four corner handles to
  `tracker` - the handles' DragTracker
  `cursor` - the handles' Cursor
Since:
  3.7

### addMoveHandle

public static void addMoveHandle(GraphicalEditPart f, List handles)
Fills the given List with move borders at each side of a figure.

Parameters:
  `f` - the GraphicalEditPart that is the owner of the handles
  `handles` - the List to add the handles to

### addMoveHandle

public static void addMoveHandle(GraphicalEditPart f, List handles, DragTracker tracker, Cursor cursor)
Fills the given List with move borders with the given DragTracker at each side of a figure.

Parameters:
  `tracker` - the DragTracker to assign to this handle
  `f` - the GraphicalEditPart thatis the owner of the handles
  `handles` - the List to add the handles to
  `cursor` - the Cursor to use when hovering over this handle

### moveHandle

public static Handle moveHandle(GraphicalEditPart owner)
Returns a new `MoveHandle` with the given owner.

Parameters:
  `owner` - the GraphicalEditPart that is the owner of the new MoveHandle
Returns:
  the new MoveHandle

### moveHandle

public static Handle moveHandle(GraphicalEditPart owner, DragTracker tracker, Cursor cursor)
Returns a new `MoveHandle` with the given owner and DragTracker.

Parameters:
  `tracker` - the DragTracker to assign to this handle
  `owner` - the GraphicalEditPart that is the owner of the new MoveHandle
  `cursor` - the Cursor to use when hovering over this handle
Returns:
  the new MoveHandle